Fix breakage for newer pkg-config versions
authorMarc Andre Tanner <mat@brain-dump.org>
Wed, 6 Oct 2010 18:39:01 +0000 (6 20:39 +0200)
committerMarc Andre Tanner <mat@brain-dump.org>
Wed, 6 Oct 2010 18:39:01 +0000 (6 20:39 +0200)
The workaround for older version actually broke newer ones.

Signed-off-by: Marc Andre Tanner <mat@brain-dump.org>
sources/include.sh

index c892e57..7596f76 100755 (executable)
@@ -43,7 +43,10 @@ LDFLAGS="-Wl,--gc-section"
 # in depencies from the host system.
 export PKG_CONFIG_PATH="${STAGING_DIR}/usr/lib/pkgconfig"
 export PKG_CONFIG_LIBDIR="${STAGING_DIR}/usr/lib/pkgconfig"
-export PKG_CONFIG_SYSROOT_DIR="${STAGING_DIR}"
+# only works with pkg-config >= 0.23 but because we have a hack
+# in place to make it work with older pkg-config versions disable
+# it here for now
+#export PKG_CONFIG_SYSROOT_DIR="${STAGING_DIR}"
 
 # check if we are building natively or if we are cross compiling